# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Mar 14 08:11:05 2022
# ------------------------------------------------

package:
  name: partd
  version: 1.2.0
source:
  sha256: aa67897b84d522dcbc86a98b942afab8c6aa2f7f677d904a616b74ef5ddbc3eb
  url: https://pypi.io/packages/source/p/partd/partd-1.2.0.tar.gz
build:
  noarch: python
  number: '1'
  script: /opt/conda/conda-bld/partd_1647245470509/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install --no-deps --ignore-installed . -vv
  string: pyhd3eb1b0_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.0 h12debd9_5
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py310h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - locket
    - python >=3.5
    - toolz
test:
  commands:
    - pip check
  imports:
    - partd
  requires:
    - pip
about:
  description: 'Partd stores key-value pairs. Values are raw bytes. It excels at shuffling

    operations.

    '
  dev_url: https://github.com/dask/partd
  doc_source_url: https://github.com/dask/partd/blob/master/README.rst
  doc_url: https://pypi.python.org/pypi/partd/
  home: https://github.com/dask/partd
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Appendable key-value storage
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - TomAugspurger
    - jcrist
    - koverholt
    - mrocklin
